cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/invoices" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true,
"invoices": [
{
"invoiceId": "<string>",
"invoiceNumber": "<string>",
"invoiceType": "<string>",
"status": "<string>",
"paymentStatus": "<string>",
"totalPrice": 123,
"totalVat": 123,
"currency": "<string>",
"issueDate": "<string>",
"dueDate": "<string>",
"paymentMethod": "<string>",
"title": "<string>",
"client": {
"clientId": "<string>",
"name": "<string>"
},
"subscriptionId": "<string>",
"clientProductId": "<string>",
"paymentTransactionId": "<string>",
"pdfAvailable": true,
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Invoices
List client invoices
Requires finance_invoices:read. Client must belong to the authenticated company.
GET
/
public
/
v1
/
finance
/
clients
/
{clientId}
/
invoices
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/invoices" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true,
"invoices": [
{
"invoiceId": "<string>",
"invoiceNumber": "<string>",
"invoiceType": "<string>",
"status": "<string>",
"paymentStatus": "<string>",
"totalPrice": 123,
"totalVat": 123,
"currency": "<string>",
"issueDate": "<string>",
"dueDate": "<string>",
"paymentMethod": "<string>",
"title": "<string>",
"client": {
"clientId": "<string>",
"name": "<string>"
},
"subscriptionId": "<string>",
"clientProductId": "<string>",
"paymentTransactionId": "<string>",
"pdfAvailable": true,
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I